---
name: Scrape

on:
  push:
    branches: ["main", "fix/doctolib"]
  workflow_dispatch:

jobs:

  scrape:

    name: "Scrape"

    runs-on: "ubuntu-20.04"

    steps:
      - uses: "actions/checkout@v2"
        with:
            token: ${{ secrets.PAT_GRZ }}
      - uses: "actions/setup-python@v2"
        with:
          python-version: "3.8"
      - name: "Install"
        run: scripts/install
      - name: "Scraping..."
        run: scripts/scrape
